module PersonalJournal
  class Engine < ::Rails::Engine
  	initializer "personal_journal" do
		OrbitApp.registration "PersonalJournal",:type=> 'ModuleApp' do
			module_label 'module_name.journal_paper'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '5', :app_name=>"JournalPaper", :intro_app_name=>"JournalPaperlIntro",:path=>"/plugin/personal_journal/profile",:front_path=>"/profile",:admin_path=>"/admin/journal_papers/",:i18n=>'module_name.journal_paper', :module_app_name=>'PersonalJournal', :one_line_title => true, :field_modifiable => true, :analysis => true, :analysis_path => "/admin/journal_papers/analysis"

			version "0.1"
			desktop_enabled true
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'
			frontend_enabled
			icon_class_no_sidebar "icons-user"
			data_count 1..10
		end
	end
  end
end

